﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SearchDemo
{
    public partial class FormSearchText : Form
    {
        /// <summary>Delegat volany pri stisku tlacitka Hledat.
        /// </summary>
        public Action<string, bool> delTextSearch;

        public FormSearchText()
        {
            InitializeComponent();
        }

        /// <summary>Pred zavrenim okna odebere nasi instanci z pole
        /// vlastnenych oken rodice.
        /// </summary>
        private void FormSearchText_FormClosing(object sender, FormClosingEventArgs e)
        {
            Owner.RemoveOwnedForm(this);
        }

        /// <summary>Zachyti stisk klavesy Escape a zavola funkci Close().
        /// </summary>
        protected override bool ProcessCmdKey(ref Message msg, Keys keyData)
        {
            if (keyData == Keys.Escape)
            {
                Close();
                return true;
            }

            return base.ProcessCmdKey(ref msg, keyData);
        }

        /// <summary>Pri stisku tlacitka Hledat zavola delegata pro hledani
        /// dat v DataGridView.
        /// </summary>
        private void buttonSearch_Click(object sender, EventArgs e)
        {
            // Uzivatel musi vyplnit hedany text.
            if (textBoxSearch.Text.Trim().Length > 0)
            {
                delTextSearch(textBoxSearch.Text, checkBoxCaseSensitive.Checked);
            }
        }
    }
}
